Index: general.ent
===================================================================
--- general.ent	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ general.ent	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 16th &year;">
+<!ENTITY releasedate  "February 17th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/json-c.xml
===================================================================
--- general/genlib/json-c.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ general/genlib/json-c.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/aalib.xml
===================================================================
--- general/graphlib/aalib.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ general/graphlib/aalib.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -33,5 +33,5 @@
     ASCII Art.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/fribidi.xml
===================================================================
--- general/graphlib/fribidi.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ general/graphlib/fribidi.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libwebp.xml
===================================================================
--- general/graphlib/libwebp.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ general/graphlib/libwebp.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gconf.xml
===================================================================
--- gnome/platform/gconf.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ gnome/platform/gconf.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ introduction/welcome/changelog.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -43,4 +43,14 @@
 -->
     <listitem>
+      <para>February 17th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to x265_2.3. Fixes
+          <ulink url="&blfs-ticket-root;8890">#8890</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 16th, 2017</para>
       <itemizedlist>
Index: multimedia/audioutils/cdparanoia.xml
===================================================================
--- multimedia/audioutils/cdparanoia.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/audioutils/cdparanoia.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/lame.xml
===================================================================
--- multimedia/audioutils/lame.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/audioutils/lame.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/audioutils/mpg123.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa-firmware.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/alsa-firmware.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-lib.xml
===================================================================
--- multimedia/libdriv/alsa-lib.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/alsa-lib.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/alsa-oss.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/alsa-tools.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/alsa-utils.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/audiofile.xml
===================================================================
--- multimedia/libdriv/audiofile.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/audiofile.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faac.xml
===================================================================
--- multimedia/libdriv/faac.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/faac.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     understand other sound compression schemes in video files.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/fdk-aac.xml
===================================================================
--- multimedia/libdriv/fdk-aac.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/fdk-aac.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/flac.xml
===================================================================
--- multimedia/libdriv/flac.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/flac.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     information.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gavl.xml
===================================================================
--- multimedia/libdriv/gavl.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gavl.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     application.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/gstreamer10.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/liba52.xml
===================================================================
--- multimedia/libdriv/liba52.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/liba52.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     in a variety of applications, including digital television and DVD.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libass.xml
===================================================================
--- multimedia/libdriv/libass.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libass.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libcddb.xml
===================================================================
--- multimedia/libdriv/libcddb.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libcddb.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     server.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libcdio.xml
===================================================================
--- multimedia/libdriv/libcdio.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libcdio.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     bit linear PCM.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdiscid.xml
===================================================================
--- multimedia/libdriv/libdiscid.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libdiscid.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdv.xml
===================================================================
--- multimedia/libdriv/libdv.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libdv.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     firewire (IEEE 1394) connection.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdnav.xml
===================================================================
--- multimedia/libdriv/libdvdnav.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libdvdnav.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     playback and even interactive DVD games.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libdvdread.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -33,5 +33,5 @@
     provides a simple foundation for reading DVDs.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmad.xml
===================================================================
--- multimedia/libdriv/libmad.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libmad.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -33,5 +33,5 @@
     MPEG audio decoder capable of 24-bit output.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libogg.xml
===================================================================
--- multimedia/libdriv/libogg.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libogg.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     single physical bit stream.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libsamplerate.xml
===================================================================
--- multimedia/libdriv/libsamplerate.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libsamplerate.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     for audio.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libsndfile.xml
===================================================================
--- multimedia/libdriv/libsndfile.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libsndfile.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libtheora.xml
===================================================================
--- multimedia/libdriv/libtheora.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libtheora.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libvorbis.xml
===================================================================
--- multimedia/libdriv/libvorbis.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libvorbis.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libvpx.xml
===================================================================
--- multimedia/libdriv/libvpx.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/libvpx.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     and of the next-generation VP9 Codec.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/opus.xml
===================================================================
--- multimedia/libdriv/opus.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/opus.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/pulseaudio.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/sbc.xml
===================================================================
--- multimedia/libdriv/sbc.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/sbc.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/sdl.xml
===================================================================
--- multimedia/libdriv/sdl.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/sdl.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -34,5 +34,5 @@
     multimedia software, such as games and emulators.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/speex.xml
===================================================================
--- multimedia/libdriv/speex.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/speex.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -43,5 +43,5 @@
     CODECs.</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/taglib.xml
===================================================================
--- multimedia/libdriv/taglib.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/taglib.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/x264.xml
===================================================================
--- multimedia/libdriv/x264.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/x264.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/x265.xml
===================================================================
--- multimedia/libdriv/x265.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ multimedia/libdriv/x265.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -7,8 +7,8 @@
   <!ENTITY x265-download-http "https://bitbucket.org/multicoreware/x265/downloads/x265_&x265-version;.tar.gz">
   <!ENTITY x265-download-ftp  " ">
-  <!ENTITY x265-md5sum        "36161843a70e4d46af1fa38cf221d0f3">
-  <!ENTITY x265-size          "1.1 MB">
+  <!ENTITY x265-md5sum        "18716a7e0c6f6ebd2a1035b82cec30de">
+  <!ENTITY x265-size          "1.2 MB">
   <!ENTITY x265-buildsize     "23 MB">
-  <!ENTITY x265-time          "0.8 SBU">
+  <!ENTITY x265-time          "0.7 SBU">
 ]>
 
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ networking/netlibs/neon.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ packages.ent	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -785,5 +785,5 @@
 <!ENTITY v4l-utils-version            "1.12.2">
 <!ENTITY x264-version                 "20170212-2245">
-<!ENTITY x265-version                 "2.2">
+<!ENTITY x265-version                 "2.3">
 <!ENTITY xine-lib-version             "1.2.6">
 <!ENTITY xvid-version                 "1.3.3">
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ postlfs/security/gnutls.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -108,4 +108,5 @@
     <para role="optional">
       <xref linkend="doxygen"/>,
+      <xref linkend="gnutls"/>,
       <xref linkend="gtk-doc"/>,
       <xref linkend="guile"/>,
Index: postlfs/security/libcap.xml
===================================================================
--- postlfs/security/libcap.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ postlfs/security/libcap.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -35,5 +35,5 @@
     <application>Linux-PAM</application>).</para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter.xml
===================================================================
--- x/lib/clutter.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ x/lib/clutter.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <note>
Index: x/lib/cogl.xml
===================================================================
--- x/lib/cogl.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ x/lib/cogl.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -124,5 +124,7 @@
     &parallel_issues;
 
-<screen><userinput>./configure --prefix=/usr --enable-gles1 --enable-gles2 &amp;&amp;
+<screen><userinput>sed -i 's/^#if COGL/#ifdef COGL/' cogl/winsys/cogl-winsys-egl.c &amp;&amp;
+
+./configure --prefix=/usr --enable-gles1 --enable-gles2         &amp;&amp;
 make</userinput></screen>
 
Index: x/lib/fltk.xml
===================================================================
--- x/lib/fltk.xml	(revision 995ab59e144f7d644bc7fd1c8ec7230bac243b25)
+++ x/lib/fltk.xml	(revision 747db59e1cd9f28d883598fa6bc8ceef19846bf1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs7a_checked;
+    &lfs80_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>