Index: general/prog/sysprof.xml
===================================================================
--- general/prog/sysprof.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ general/prog/sysprof.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -7,7 +7,7 @@
   <!ENTITY sysprof-download-http "&gnome-download-http;/sysprof/&gnome-minor-42;/sysprof-&sysprof-version;.tar.xz">
   <!ENTITY sysprof-download-ftp  "&gnome-download-ftp;/sysprof/&gnome-minor-42;/sysprof-&sysprof-version;.tar.xz">
-  <!ENTITY sysprof-md5sum        "65806947529739798b5af3cdfffd5f61">
-  <!ENTITY sysprof-size          "476 KB">
-  <!ENTITY sysprof-buildsize     "48 MB">
+  <!ENTITY sysprof-md5sum        "e96168b2fa18462f40871513fe4228b5">
+  <!ENTITY sysprof-size          "484 KB">
+  <!ENTITY sysprof-buildsize     "21 MB">
   <!ENTITY sysprof-time          "0.1 SBU (using parallelism=4)">
 
@@ -77,12 +77,8 @@
       <xref linkend="gtk3"/>,
       <xref linkend="json-glib"/>,
+      <xref linkend="libunwind"/>,
       <xref linkend="libdazzle"/>, <phrase revision="systemd">and</phrase>
       <xref linkend="polkit"/> <phrase revision="sysv">, and</phrase>
       <phrase revision="sysv"><xref linkend="elogind"/></phrase>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <ulink url="http://www.nongnu.org/libunwind">libunwind</ulink>
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ introduction/welcome/changelog.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to sysprof-3.44.0. Fixes 
+          <ulink url="&blfs-ticket-root;16299">#16299</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Add libunwind-1.6.2 in suport of sysprof-3.44.0.</para>
         </listitem>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ multimedia/libdriv/gstreamer10.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -103,9 +103,9 @@
       <xref linkend="gtk3"/> (for examples),
       <xref linkend="gsl"/> (used by one test if installed),
+      <xref linkend="libunwind"/>,
       <xref linkend="valgrind"/>,
       <ulink url="https://github.com/scop/bash-completion/">bash-completion</ulink>,
-      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
-      <ulink url="https://sourceware.org/elfutils/">libdw</ulink>, and
-      <ulink url="http://www.nongnu.org/libunwind/">libunwind</ulink>
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>, and
+      <ulink url="https://sourceware.org/elfutils/">libdw</ulink>
     </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ packages.ent	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -388,5 +388,5 @@
 <!ENTITY subversion-version           "1.14.1">
 <!ENTITY swig-version                 "4.0.2">
-<!ENTITY sysprof-version              "3.42.1">
+<!ENTITY sysprof-version              "3.44.0">
 <!ENTITY tcl-version                  "8.6.11">
 <!ENTITY tk-version                   "8.6.12">
Index: x/installing/libinput.xml
===================================================================
--- x/installing/libinput.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ x/installing/libinput.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -86,8 +86,8 @@
       <para role="optional">
         <xref linkend="valgrind"/> (to run the tests),
+        <xref linkend="gtk3"/> (to build the GUI event viewer),
+        <xref linkend="libunwind"/> (required for tests),
+        <xref linkend="libwacom"/>, and
         <ulink url="http://sphinx-doc.org/">Sphinx</ulink> (required to build documentation),
-        <xref linkend="gtk3"/> (to build the GUI event viewer),
-        <ulink url="http://www.nongnu.org/libunwind/">libunwind</ulink> (required for tests),
-        <xref linkend="libwacom"/>, and
         <ulink url="https://pypi.org/project/pyparsing/">PyParsing</ulink> (for one non-root test)
       </para>
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ x/installing/mesa.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -126,4 +126,5 @@
     <para role="optional">
       <xref linkend="libgcrypt"/>,
+      <xref linkend="libunwind"/>,
       <xref linkend="lm_sensors"/> <!-- for libsensors according to Meson -->,
       <xref linkend="nettle"/>,
@@ -135,5 +136,4 @@
       <ulink url="http://omxil.sourceforge.net/">Bellagio OpenMAX Integration
       Layer</ulink> (for mobile platforms),
-      <ulink url="http://www.nongnu.org/libunwind/">libunwind</ulink>,
       <ulink url="https://github.com/tizonia/tizonia-openmax-il/wiki/Tizonia-OpenMAX-IL/">
       libtizonia</ulink>,  and
Index: x/installing/xorg-server.xml
===================================================================
--- x/installing/xorg-server.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ x/installing/xorg-server.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -107,4 +107,5 @@
       <xref linkend="doxygen"/> (to build API documentation),
       <xref linkend="fop"/> (to build documentation),
+      <xref linkend="libunwind"/>,
       <xref linkend="nettle"/>,
       <xref linkend="libgcrypt"/>,
@@ -114,5 +115,4 @@
       <xref linkend="xcb-util-wm"/> (all four to build Xephyr),
       <xref linkend="xmlto"/> (to build documentation),
-      <ulink url="http://download.savannah.gnu.org/releases/libunwind">libunwind</ulink>,
       <ulink url="https://gitlab.freedesktop.org/xorg/test/rendercheck">rendercheck</ulink> (for tests), and
       <ulink url="https://www.x.org/archive/individual/doc/">xorg-sgml-doctools</ulink> (to build documentation)
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision aa0488257638aaf72b6dd1ef26217ae66021b71e)
+++ xsoft/other/gimp.xml	(revision 751dd1ebc0e56ea48e37ab7336724d9fb7a65f72)
@@ -182,4 +182,5 @@
       <xref linkend="gvfs"/> (to access the online help),
       <xref linkend="libmng"/>,
+      <xref linkend="libunwind"/>,
       <xref linkend="libwebp"/>,
       <xref linkend="openjpeg2"/>,
@@ -192,5 +193,4 @@
       <ulink url="https://github.com/strukturag/libde265/">libde265</ulink>
       (both needed to read macOS heic images),
-      <ulink url="https://www.nongnu.org/libunwind">libunwind</ulink>,
       <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>, and
       <ulink url="https://www.openexr.com/">OpenEXR</ulink>