Index: index.xml
===================================================================
--- index.xml	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ index.xml	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20031030">
-<!ENTITY releasedate "October 30th, 2003">
+<!ENTITY version "CVS-20031031">
+<!ENTITY releasedate "October 31st, 2003">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ introduction/welcome/changelog.xml	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>October 31st, 2003 [igor]: Measured SBUs where
+missing (parts VI to XIII).</para></listitem>
 
 <listitem><para>October 30th, 2003 [bdubbs]: Another XFree86 tweak
Index: multimedia/cdwriteutils/cdrdao/cdrdao.ent
===================================================================
--- multimedia/cdwriteutils/cdrdao/cdrdao.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ multimedia/cdwriteutils/cdrdao/cdrdao.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -7,4 +7,4 @@
 <!ENTITY cdrdao-download-ftp "ftp://ftp.gtlib.cc.gatech.edu/pub/rocklinux/ROCK-1.5/ext-archive/cdrdao/cdrdao-&cdrdao-version;.src.tar.bz2">
 <!ENTITY cdrdao-size "1.1 MB">
-<!ENTITY cdrdao-buildsize "15.9 MB">
-<!ENTITY cdrdao-time "">
+<!ENTITY cdrdao-buildsize "33 MB">
+<!ENTITY cdrdao-time "0.68 SBU">
Index: multimedia/libdriv/alsa/tools/alsa-tools.ent
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -8,3 +8,3 @@
 <!ENTITY alsa-tools-size "1.3 MB">
 <!ENTITY alsa-tools-buildsize "6.8 MB (to compile all tools)">
-<!ENTITY alsa-tools-time "">
+<!ENTITY alsa-tools-time "varies">
Index: pst/scanning/gocr/gocr.ent
===================================================================
--- pst/scanning/gocr/gocr.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ pst/scanning/gocr/gocr.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -7,4 +7,4 @@
 <!ENTITY gocr-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/jocr/gocr-&gocr-version;.tar.gz">
 <!ENTITY gocr-size "657 KB">
-<!ENTITY gocr-buildsize "5.7 MB">
-<!ENTITY gocr-time "">
+<!ENTITY gocr-buildsize "5.9 MB">
+<!ENTITY gocr-time "0.20 SBU">
Index: pst/scanning/sane/sane-intro.xml
===================================================================
--- pst/scanning/sane/sane-intro.xml	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ pst/scanning/sane/sane-intro.xml	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -26,5 +26,5 @@
 &sane-be-buildsize; (Back ends), &sane-fe-buildsize; (Front ends)</para></listitem>
 <listitem><para>Estimated build time:
-&sane-time;</para></listitem></itemizedlist>
+&sane-be-time; (Back ends), &sane-fe-time; (Front ends)</para></listitem></itemizedlist>
 </sect3>
                                                                                 
@@ -35,4 +35,3 @@
 </sect3>
 
-
 </sect2>
Index: pst/scanning/sane/sane.ent
===================================================================
--- pst/scanning/sane/sane.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ pst/scanning/sane/sane.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -6,11 +6,10 @@
 <!ENTITY sane-version "1.0.12">
 <!ENTITY sane-download-http "http://www.sane-project.org/">
-<!ENTITY sane-be-download-ftp
-"ftp://ftp.mostang.com/pub/sane/sane-backends-1.0.12/sane-backends-1.0.12.tar.gz">
-<!ENTITY sane-fe-download-ftp
-"ftp://ftp.mostang.com/pub/sane/sane-frontends-1.0.11/sane-frontends-1.0.11.tar.gz">
-<!ENTITY sane-be-size "2.2 MB">
-<!ENTITY sane-fe-size "174 kb">
+<!ENTITY sane-be-download-ftp "ftp://ftp.mostang.com/pub/sane/sane-backends-1.0.12/sane-backends-1.0.12.tar.gz">
+<!ENTITY sane-fe-download-ftp "ftp://ftp.mostang.com/pub/sane/sane-frontends-1.0.11/sane-frontends-1.0.11.tar.gz">
+<!ENTITY sane-be-size "2.7 MB">
+<!ENTITY sane-fe-size "180 KB">
 <!ENTITY sane-be-buildsize "31 MB">
-<!ENTITY sane-fe-buildsize "3.1 MB">
-<!ENTITY sane-time "">
+<!ENTITY sane-fe-buildsize "3.3 MB">
+<!ENTITY sane-be-time "1.44 SBU">
+<!ENTITY sane-fe-time "0.09 SBU">
Index: pst/scanning/xsane/xsane.ent
===================================================================
--- pst/scanning/xsane/xsane.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ pst/scanning/xsane/xsane.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -7,5 +7,5 @@
 <!ENTITY xsane-download-http "http://gd.tuwien.ac.at/hci/sane/xsane/xsane-&xsane-version;.tar.gz">
 <!ENTITY xsane-download-ftp "ftp://ftp.mostang.com/pub/sane/xsane/xsane-&xsane-version;.tar.gz">
-<!ENTITY xsane-size "2.5 MB">
-<!ENTITY xsane-buildsize "16 MB">
-<!ENTITY xsane-time "">
+<!ENTITY xsane-size "2.4 MB">
+<!ENTITY xsane-buildsize "17 MB">
+<!ENTITY xsane-time "0.30 SBU">
Index: server/mail/courier/courier-inst.xml
===================================================================
--- server/mail/courier/courier-inst.xml	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ server/mail/courier/courier-inst.xml	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -7,5 +7,5 @@
 
 <screen><userinput><command>groupadd courier &amp;&amp;
-useradd -c 'Courier Mail Server -d /dev/null -g courier -s /bin/false courier</command></userinput></screen>
+useradd -c 'Courier Mail Server' -d /dev/null -g courier -s /bin/false courier</command></userinput></screen>
 
 
@@ -15,5 +15,5 @@
 --libexecdir=/usr/sbin --datadir=/usr/share/courier \
 --localstatedir=/var/spool/courier --disable-root-check --with-db=gdbm \
---with-mailuser=courier --withmailgroup=courier \
+--with-mailuser=courier --with-mailgroup=courier \
 --enable-workarounds-for-imap-client-bugs \
 --with-ispell=/usr/bin/aspell &amp;&amp;
Index: server/mail/courier/courier.ent
===================================================================
--- server/mail/courier/courier.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ server/mail/courier/courier.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -9,4 +9,4 @@
 <!ENTITY courier-download-ftp "ftp://courier.sourceforge.net/courier/courier-&courier-version;.tar.bz2">
 <!ENTITY courier-size "3.3 MB">
-<!ENTITY courier-buildsize "55 MB">
-<!ENTITY courier-time "">
+<!ENTITY courier-buildsize "104 MB">
+<!ENTITY courier-time "2.79 SBU">
Index: server/mail/qmail/qmail.ent
===================================================================
--- server/mail/qmail/qmail.ent	(revision bb0c0827bc70da4bc0832f0d856adfbad9574dfa)
+++ server/mail/qmail/qmail.ent	(revision 0753e8d022de6c1c5965b36f2fba2e934dfd50e8)
@@ -9,3 +9,3 @@
 <!ENTITY qmail-size "225 KB">
 <!ENTITY qmail-buildsize "4.6 MB">
-<!ENTITY qmail-time "">
+<!ENTITY qmail-time "0.14 SBU">