Index: gnome/applications/applications.xml
===================================================================
--- gnome/applications/applications.xml	(revision 85320cc20a27c6ba60913fca5769434b41e8a95c)
+++ gnome/applications/applications.xml	(revision 754b81f6e099e36784f17cfb6c9c90a646547731)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nautilus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="network-manager-applet.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="seahorse.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="totem.xml"/>
 
Index: gnome/applications/epiphany.xml
===================================================================
--- gnome/applications/epiphany.xml	(revision 85320cc20a27c6ba60913fca5769434b41e8a95c)
+++ gnome/applications/epiphany.xml	(revision 754b81f6e099e36784f17cfb6c9c90a646547731)
@@ -88,5 +88,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="nss"/>
+      <xref linkend="nss"/>,
+      <xref linkend="seahorse"/> (at runtime, for managing stored passwords)
     </para>
 
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision 754b81f6e099e36784f17cfb6c9c90a646547731)
+++ gnome/applications/seahorse.xml	(revision 754b81f6e099e36784f17cfb6c9c90a646547731)
@@ -0,0 +1,180 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY seahorse-download-http "&gnome-download-http;/seahorse/3.8/seahorse-&seahorse-version;.tar.xz">
+  <!ENTITY seahorse-download-ftp  "&gnome-download-ftp;/seahorse/3.8/seahorse-&seahorse-version;.tar.xz">
+  <!ENTITY seahorse-md5sum        "7b75ceef33aac972e782f09a5b1eaddf">
+  <!ENTITY seahorse-size          "2.0 MB">
+  <!ENTITY seahorse-buildsize     "60 MB">
+  <!ENTITY seahorse-time          "0.3 SBU">
+]>
+
+<sect1 id="seahorse" xreflabel="Seahorse-&seahorse-version;">
+  <?dbhtml filename="seahorse.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Seahorse-&seahorse-version;</title>
+
+  <indexterm zone="seahorse">
+    <primary sortas="a-Seahorse">Seahorse</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Seahorse</title>
+
+    <para>
+      <application>Seahorse</application> is a graphical interface for
+      managing and using encryption keys. Currently it supports PGP
+      keys (using GPG/GPGME) and SSH keys.
+    </para>
+
+    &lfs73_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&seahorse-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&seahorse-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &seahorse-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &seahorse-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &seahorse-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &seahorse-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Seahorse Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gcr"/>,
+      <xref linkend="gpgme"/>,
+      <xref linkend="gnupg"/> or
+      <xref linkend="gnupg2"/>,
+      <xref linkend="libsecret"/> and
+      <xref linkend="yelp-xsl"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libsoup"/> and
+      <xref linkend="openssh"/> (for managing ssh keys)
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="avahi"/> and
+      <xref linkend="openldap"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/seahorse"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Seahorse</title>
+
+    <para>
+      Install <application>Seahorse</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          seahorse
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/lib/seahorse,
+          /usr/share/help/*/seahorse and
+          /usr/share/seahorse
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="seahorse-prog">
+        <term><command>seahorse</command></term>
+        <listitem>
+          <para>
+            is the graphical interface for managing and using
+            encryption keys.
+          </para>
+          <indexterm zone="seahorse seahorse-prog">
+            <primary sortas="b-seahorse">seahorse</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>