Index: networking/netprogs/nfs-utils.xml
===================================================================
--- networking/netprogs/nfs-utils.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
+++ networking/netprogs/nfs-utils.xml	(revision 758f3f6059be0f39637db85a3abbd2fa346027dd)
@@ -8,7 +8,7 @@
   <!ENTITY nfs-utils-download-http "&nfs-utils-root;/&nfs-utils-version;/nfs-utils-&nfs-utils-version;.tar.xz">
   <!ENTITY nfs-utils-download-ftp  " ">
-  <!ENTITY nfs-utils-md5sum        "d14294d5efcd9aada28f4dab871a44a6">
-  <!ENTITY nfs-utils-size          "680 KB">
-  <!ENTITY nfs-utils-buildsize     "17 MB">
+  <!ENTITY nfs-utils-md5sum        "8c2a746325cb620f55751563356b0804">
+  <!ENTITY nfs-utils-size          "684 KB">
+  <!ENTITY nfs-utils-buildsize     "20 MB">
   <!ENTITY nfs-utils-time          "0.2 SBU">
 ]>
@@ -78,5 +78,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="libtirpc"/>,
+      <xref linkend="libtirpc"/> and
       <xref linkend="rpcsvc-proto"/>
     </para>
@@ -84,7 +84,9 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="cyrus-sasl"/> (for SASL authentication),
       <xref linkend="lvm2"/> (libdevmapper for NFSv4 support),
       <xref linkend="libnfsidmap"/> (for NFSv4 support),
       <xref linkend="libnsl"/> (for NIS client support),
+      <xref linkend="openldap"/> (for LDAP authentication),
       <xref linkend="sqlite"/>,
       <xref linkend="mitkrb"/> or
@@ -216,5 +218,4 @@
 
 <screen role='root'><userinput>make install                      &amp;&amp;
-mv -v /sbin/start-statd /usr/sbin &amp;&amp;
 chmod u+w,go+r /sbin/mount.nfs    &amp;&amp;
 chown nobody.nogroup /var/lib/nfs</userinput></screen>
@@ -392,9 +393,9 @@
       <para revision="systemd">
         You may need to enable autofs v4 in your kernel, and add the option
-        <literal>comment=systemd.automount</literal>. Some machines need this,
-        because systemd tries to mount the external fs&apos;s before the
-        network is up, others do not need it. An alternative is for
-        <systemitem class="username">root</systemitem> to run
-        <command>mount -a</command>.
+        <literal>comment=systemd.automount</literal>. Some machines may need
+        this because systemd tries to mount the external filesystems before
+        the network is up. An alternative is to run <command>mount -a</command>
+        as the <systemitem class="username">root</systemitem> user after the
+        system has started.
       </para>
 
@@ -459,7 +460,7 @@
       <seglistitem>
         <seg>exportfs, mountstats, mount.nfs, mount.nfs4 (link to mount.nfs),
-        nfsconf, nfsiostat, nfsstat, rpc.mountd, rpc.nfsd, rpc.statd, rpcdebug,
-        showmount, sm-notify, start-statd, umount.nfs (link to mount.nfs),
-        and umount.nfs4  (link to mount.nfs)</seg>
+        nfsconf, nfsdclnts, nfsiostat, nfsstat, rpc.mountd, rpc.nfsd, rpc.statd,
+        rpcdebug, showmount, sm-notify, start-statd, 
+        umount.nfs (link to mount.nfs), and umount.nfs4 (link to mount.nfs)</seg>
         <seg>None</seg>
         <seg>/var/lib/nfs</seg>
@@ -533,4 +534,16 @@
       </varlistentry>
 
+      <varlistentry id="nfsdclnts">
+        <term><command>nfsdclnts</command></term>
+        <listitem>
+          <para>
+            prints information about NFS clients.
+          </para>
+          <indexterm zone="nfs-utils nfsdclnts">
+            <primary sortas="b-nfsdclnts">nfsdclnts</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="nfsiostat-nfs-utils">
         <term><command>nfsiostat</command></term>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
+++ networking/netutils/bind-utils.xml	(revision 758f3f6059be0f39637db85a3abbd2fa346027dd)
@@ -7,8 +7,8 @@
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.xz">
-  <!ENTITY bind-md5sum          "101ad6f287160063886c4cbc93a0b770">
+  <!ENTITY bind-md5sum          "5d54d82a7b6253d72a85476062bf29c4">
   <!ENTITY bind-size            "3.1 MB">
-  <!ENTITY bind-utils-buildsize "111 MB">
-  <!ENTITY bind-utils-time      "0.5 SBU">
+  <!ENTITY bind-utils-buildsize "148 MB">
+  <!ENTITY bind-utils-time      "0.6 SBU">
 ]>
 