Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ee2e6377814aa50e9947c868342c8af270c0b135)
+++ introduction/welcome/changelog.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
@@ -40,4 +40,15 @@
     -->
     <listitem>
+      <para>December 11th, 2022</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to kf5-5.101, including extra-cmake-modules, 
+          oxygen-icons and breeze-icons. Fixes
+          <ulink url="&blfs-ticket-root;17021">#17021</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 9th, 2022</para>
       <itemizedlist>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision ee2e6377814aa50e9947c868342c8af270c0b135)
+++ kde/extra-cmake-modules.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
@@ -7,6 +7,6 @@
    <!ENTITY extra-cmake-modules-download-http "&kf5-download-http;/extra-cmake-modules-&kf5-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "9004ad7e58f5d3ef4a68ac9d3d432c51">
-   <!ENTITY extra-cmake-modules-size          "324 KB">
+   <!ENTITY extra-cmake-modules-md5sum        "d9c1cdbe014fed6a451f02f0b4debfa7">
+   <!ENTITY extra-cmake-modules-size          "328 KB">
    <!ENTITY extra-cmake-modules-buildsize     "4.5 MB">
    <!ENTITY extra-cmake-modules-time          "less than 0.1 SBU">
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision ee2e6377814aa50e9947c868342c8af270c0b135)
+++ kde/kf5/kf5-frameworks.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
@@ -9,6 +9,6 @@
   <!ENTITY kf5-download-ftp  " ">
   <!ENTITY kf5-md5sum        "See Below">
-  <!ENTITY kf5-size          "274 MB">
-  <!ENTITY kf5-buildsize     "1.4 GB (246 MB installed)">
+  <!ENTITY kf5-size          "345 MB">
+  <!ENTITY kf5-buildsize     "2.5 GB (246 MB installed)">
   <!ENTITY kf5-time          "15 SBU (using parallelism=4)">
 ]>
@@ -207,87 +207,87 @@
      needs special instructions because it is a pure python package. -->
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>b6bc2ad39f48daf021eb6e3146ea1b2f  attica-5.97.0.tar.xz
-#9004ad7e58f5d3ef4a68ac9d3d432c51  extra-cmake-modules-5.97.0.tar.xz
-f16a3cbba1d24c73dde77895e77f9633  kapidox-5.97.0.tar.xz
-fcf875c8408891c62bb15e2ffa1f523e  karchive-5.97.0.tar.xz
-c4fda652d325ce599821b898c710105e  kcodecs-5.97.0.tar.xz
-e007684ef4b71aa63c997f7e53257936  kconfig-5.97.0.tar.xz
-aa862f672a8dfaef39af0dda8c3ea892  kcoreaddons-5.97.0.tar.xz
-97dfc5ff026d71ac18ad862b1b04fdd5  kdbusaddons-5.97.0.tar.xz
-effc56abeefd23cf38be0d1448c48092  kdnssd-5.97.0.tar.xz
-2211961bfca22edd9b7bb4c28d3d3c94  kguiaddons-5.97.0.tar.xz
-7c92678a3cbd23cc2245fa0258f5e4fb  ki18n-5.97.0.tar.xz
-5ab6acca13664b38a0f789f74416b834  kidletime-5.97.0.tar.xz
-8dea9b3373b266ea00eef1875e154e16  kimageformats-5.97.0.tar.xz
-2b35af1ee245563dd5b521e756228e00  kitemmodels-5.97.0.tar.xz
-96daac9f4c21bab82d1da2d980f614c6  kitemviews-5.97.0.tar.xz
-aac1e13fb038a54a4f907665200c3c69  kplotting-5.97.0.tar.xz
-c5343837bea2bb66ed8fa6371a2b9ee6  kwidgetsaddons-5.97.0.tar.xz
-9b561803e8776cc1eda0809cb31f9dda  kwindowsystem-5.97.0.tar.xz
-3d812644475d1f3dfeea44f4b1b7e36b  networkmanager-qt-5.97.0.tar.xz
-373c435787485e571ca95f8f4b408181  solid-5.97.0.tar.xz
-8975618339356417006c31da3b8ca8c1  sonnet-5.97.0.tar.xz
-a22052df457b0d08f8ba15fd6f25c4a5  threadweaver-5.97.0.tar.xz
-f3e57280dd260385559a531fbe8d2fc3  kauth-5.97.0.tar.xz
-a4a5c5b82eb731b2229fab92d3dfb1cb  kcompletion-5.97.0.tar.xz
-7d96391d642ce153a9eaae3c63b112e1  kcrash-5.97.0.tar.xz
-76db6e9f9200fad4b9cbc3b01ae3755f  kdoctools-5.97.0.tar.xz
-99655561b2bbd14e414b132d44bb8d90  kpty-5.97.0.tar.xz
-954fc91f33ec53de224156cc10bc04c4  kunitconversion-5.97.0.tar.xz
-1c150ec6adaf8685af8bc80256560a86  kconfigwidgets-5.97.0.tar.xz
-3793f484ae97355d279731bb9de6f97a  kservice-5.97.0.tar.xz
-029f666542f69e6f543dc18a3e02023c  kglobalaccel-5.97.0.tar.xz
-d4f3946ac9544e80999ab436a27619dc  kpackage-5.97.0.tar.xz
-208f34d8c979f7060958d1eee5ab91cd  kdesu-5.97.0.tar.xz
-18edfe35f0d2fc06bd628c515ca47bcf  kemoticons-5.97.0.tar.xz
-798e5c986dae8e2f1e83ab0868bf1fb8  kiconthemes-5.97.0.tar.xz
-d4cc3101b12bd36cf4a87f0c3936ccf1  kjobwidgets-5.97.0.tar.xz
-3980c8e6b94716b0d19b9e2a7d730596  knotifications-5.97.0.tar.xz
-1af7d339e2f5a2a540e51339c04d1b0a  ktextwidgets-5.97.0.tar.xz
-05caf363dee221bab3de1904ec53978a  kxmlgui-5.97.0.tar.xz
-5836416fb862f7957dfaa08e88beb1b0  kbookmarks-5.97.0.tar.xz
-b7b3921f31d6d5d8776ea68545b8ae5b  kwallet-5.97.0.tar.xz
-da9188168e736982b2434f852cf3440c  kded-5.97.0.tar.xz
-5cba35e9783a7df9f0f54af18c2ef368  kio-5.97.0.tar.xz
-7e8f1dc158a5a175c0d83dc2427c71ef  kdeclarative-5.97.0.tar.xz
-5d7fc8b6947106760c5d17e4dfea3eeb  kcmutils-5.97.0.tar.xz
-1ff454d283acb8f83105acb8cf97e544  kirigami2-5.97.0.tar.xz
-94d97bd68e2f3a0c5cfb55060194b349  syndication-5.97.0.tar.xz
-177bb5f04eea4ea522aacda8761af2af  knewstuff-5.97.0.tar.xz
-61b8d7692ad04acefcb76586cb767161  frameworkintegration-5.97.0.tar.xz
-bd9eb91ce374b4156f1f00dcd69dbb2f  kinit-5.97.0.tar.xz
-0a635ff4847c3642630309072f5370a1  kparts-5.97.0.tar.xz
-2c742c8bd4c219546e697ea04c44349f  kactivities-5.97.0.tar.xz
-#b67212701c202167ba858c76292cf878  kdewebkit-5.97.0.tar.xz
-8baf05c07c7dc9dfca1a4e1f6ca9be67  syntax-highlighting-5.97.0.tar.xz
-ee86c062e6243938488fa9d348eaa096  ktexteditor-5.97.0.tar.xz
-ce4f59beb52eea5b5b859fca12efa0f7  kdesignerplugin-5.97.0.tar.xz
-c0943e04bb7f514c58bcb9b891efb080  kwayland-5.97.0.tar.xz
-f6057058a81114c935a3d7b499d86ed5  plasma-framework-5.97.0.tar.xz
-#5055670cd06b0724530ff8fbfc0c5ce8  modemmanager-qt-5.97.0.tar.xz
-2c0c9727577fd9c3ad76edb9782c7ef2  kpeople-5.97.0.tar.xz
-2b2440eba6e162dc1656d6509034bba8  kxmlrpcclient-5.97.0.tar.xz
-ae5ee6e46e3f9d4942ba7bb80f8315b9  bluez-qt-5.97.0.tar.xz
-a204986f080c48927a4adb86267ba812  kfilemetadata-5.97.0.tar.xz
-a4b34f2125d5383a5a4a39cdc3be1573  baloo-5.97.0.tar.xz
-#ad6ca5a1b4bcd4613fe1095b2db58a97  breeze-icons-5.97.0.tar.xz
-#7e8e52f68e5150fdd76f719a723bef6a  oxygen-icons5-5.97.0.tar.xz
-7602faea0198bd90d4be8a4fd9a801bc  kactivities-stats-5.97.0.tar.xz
-f3ec8fb5cd8c5122d168ba5c88d5e14b  krunner-5.97.0.tar.xz
-49768a3b67be8b6d71991c1718fb7c4d  prison-5.97.0.tar.xz
-a5a7b1ca6070ff7b6dffa95c26b3e5ef  qqc2-desktop-style-5.97.0.tar.xz
-320e05aedf589b7ac7fa1d8306bbc848  kjs-5.97.0.tar.xz
-100e234811619545ae2f3593d6a3b2f0  kdelibs4support-5.97.0.tar.xz
-4fd0814002839e5b59f51900d0b78e58  khtml-5.97.0.tar.xz
-45cf95eaf299f321dd13ad7b8a17dc97  kjsembed-5.97.0.tar.xz
-05822933cf655c80e224e0485851a444  kmediaplayer-5.97.0.tar.xz
-85e084c6a4840153a9fccb581e60dad6  kross-5.97.0.tar.xz
-c615b5e81ea72ae6bf34a99bfc0e2a79  kholidays-5.97.0.tar.xz
-f39b30f3694af24dac61c1071ed5d068  purpose-5.97.0.tar.xz
-a77b9f69f5975628b8ca33d97ae2a39d  kcalendarcore-5.97.0.tar.xz
-5ed0abb402a5d4b3de57a6617e208536  kcontacts-5.97.0.tar.xz
-b31f41825fe3559f15585e55486ef0a2  kquickcharts-5.97.0.tar.xz
-ebf49cc30a267ec0ab45c7e857e3fcd9  knotifyconfig-5.97.0.tar.xz
-41abc6ed2ff884c1400fc9caa0138731  kdav-5.97.0.tar.xz</literal>
+<literal>a4c2e458aa82077a801ec5cb82594df9  attica-5.101.0.tar.xz
+#d9c1cdbe014fed6a451f02f0b4debfa7  extra-cmake-modules-5.101.0.tar.xz
+8694c6bc1157af7c412077bad9ef59bc  kapidox-5.101.0.tar.xz
+8a9c8f0c2640cf185202a8127658dc42  karchive-5.101.0.tar.xz
+7871d7b9e5d5fbfb065953d27e1f0b3c  kcodecs-5.101.0.tar.xz
+2ddd6e0bdb352e4df15472efdd1badb9  kconfig-5.101.0.tar.xz
+7c7c6c2cf8298f0d6b9b34366879566f  kcoreaddons-5.101.0.tar.xz
+a8c2d1bb072acf77ed09f88001250439  kdbusaddons-5.101.0.tar.xz
+563207df1ba8641855f0bc2096e426c8  kdnssd-5.101.0.tar.xz
+eeb32c747e137117d124aa861aad7144  kguiaddons-5.101.0.tar.xz
+0419618dcfcd07b8b7275d55b1cc08b1  ki18n-5.101.0.tar.xz
+aaf06f0c309974375c0425b97a0b29ec  kidletime-5.101.0.tar.xz
+79b1fafc0b1a57c62e4a7a8ea8910120  kimageformats-5.101.0.tar.xz
+5fc03df6be2e2c26b4821b8da9fe13d5  kitemmodels-5.101.0.tar.xz
+adcb905a7dc6aa97c7152314df9806c6  kitemviews-5.101.0.tar.xz
+f0d55e374279cde2931b4f359188885b  kplotting-5.101.0.tar.xz
+1bbd20834bedd54f243165b312fa2dd2  kwidgetsaddons-5.101.0.tar.xz
+d8c0435cf25503c5ed4f188ac3e7d73f  kwindowsystem-5.101.0.tar.xz
+1267e2555046ed91ae082283c65a6dc2  networkmanager-qt-5.101.0.tar.xz
+6a3d4b9e161fa6fa10e91b08462747d6  solid-5.101.0.tar.xz
+b0d25a3564df7339eeb5b865d0b67a90  sonnet-5.101.0.tar.xz
+0df99fcc3a2af08b4a9640294daa272f  threadweaver-5.101.0.tar.xz
+7e7309adfe46cc168ee35a79e29d1849  kauth-5.101.0.tar.xz
+7fa25bc8d094f3aa300864437361c715  kcompletion-5.101.0.tar.xz
+b006a7888c619272fdaebd1192b1b195  kcrash-5.101.0.tar.xz
+885498a3a07d448d4a76c6f4f33c5643  kdoctools-5.101.0.tar.xz
+e62f507a5615974663da4b9969bf3bec  kpty-5.101.0.tar.xz
+428b959b65e0554ab52b7936348110e8  kunitconversion-5.101.0.tar.xz
+60bb6220e81269526975f07a50af534c  kconfigwidgets-5.101.0.tar.xz
+be74b473295adb65022b68bbb261387b  kservice-5.101.0.tar.xz
+5881eb04a6c1e2c7f1b0c1c7c9756c90  kglobalaccel-5.101.0.tar.xz
+67891a31b5642865b90f39eeff0c7d67  kpackage-5.101.0.tar.xz
+2a9642691c9c2503165a6af1b688cb7a  kdesu-5.101.0.tar.xz
+aa1a62de293c14fad711e7db33b08c97  kemoticons-5.101.0.tar.xz
+efeb8383250954c291d7985ccb01091a  kiconthemes-5.101.0.tar.xz
+ca997d3349a1f312e8051bd8b55a85db  kjobwidgets-5.101.0.tar.xz
+876831c19fe0e66d4b27de516ad6bd41  knotifications-5.101.0.tar.xz
+d2cbcf9966f472a54827ef23d17d37c5  ktextwidgets-5.101.0.tar.xz
+4354cdc69757bd9695084daefffa8f0d  kxmlgui-5.101.0.tar.xz
+8f7b11b9c7e3a319fd81f2fb80cd12fa  kbookmarks-5.101.0.tar.xz
+5cde3972bfe496c31e6d26c45f8cbd55  kwallet-5.101.0.tar.xz
+341e5c4786c51aab9da709f9ccedace9  kded-5.101.0.tar.xz
+b3f13364ce4c94163afac024ac5aa3a4  kio-5.101.0.tar.xz
+d9d37abe187906604b1c07d4019042ea  kdeclarative-5.101.0.tar.xz
+cda417cb24cf5bbfb3a368fbdea1e478  kcmutils-5.101.0.tar.xz
+7d421207ba332694c90b6dd9e3577b52  kirigami2-5.101.0.tar.xz
+c387dc1ee3d2d7c33811a6640b4682ec  syndication-5.101.0.tar.xz
+01ced6f4d475f3423ef7edfd3ead265b  knewstuff-5.101.0.tar.xz
+29df1e203ed9f00e7b4980169efcb863  frameworkintegration-5.101.0.tar.xz
+ba872350c6c2f6dcbc7980d724426b86  kinit-5.101.0.tar.xz
+c321446c771a416f3b1db518d5fa0a19  kparts-5.101.0.tar.xz
+008da6c3a624531915b1e8057c04d4b2  kactivities-5.101.0.tar.xz
+#ad4fb163c3b10dd1a6dd62eeea5afdcc  kdewebkit-5.101.0.tar.xz
+4c206cea70f899fa01cd48daeb5df76d  syntax-highlighting-5.101.0.tar.xz
+be99ceae9a93fb4c14fb7511f6e397d7  ktexteditor-5.101.0.tar.xz
+67e0a767aada6593f0ec414dc7140d34  kdesignerplugin-5.101.0.tar.xz
+9424f989d07126b2dda5d4e416cd35fc  kwayland-5.101.0.tar.xz
+77d731dedc7a7da106ecf2dcb7f0185c  plasma-framework-5.101.0.tar.xz
+#403543d8c14947135b9705fde7365c83  modemmanager-qt-5.101.0.tar.xz
+d8c1fe3563bc1bb80ee2b729fb57d28e  kpeople-5.101.0.tar.xz
+83729946f2ef3cfe5140b56312b0de78  kxmlrpcclient-5.101.0.tar.xz
+6e4296f6e70b2443285edb0259c7f766  bluez-qt-5.101.0.tar.xz
+1ee27a9a46dcd38099eb943f9bdf8888  kfilemetadata-5.101.0.tar.xz
+33ae3ad511db114a9b69eb8da2b26677  baloo-5.101.0.tar.xz
+#fd0d088682c5597d0bf0890dab56fd83  breeze-icons-5.101.0.tar.xz
+#49a0e7efa4c325a7907f4421be1acd14  oxygen-icons5-5.101.0.tar.xz
+cd8354282540594dde1661c7fdeebb51  kactivities-stats-5.101.0.tar.xz
+0e43ac9aedb01e7565bd96854d308e8a  krunner-5.101.0.tar.xz
+c25f2ab8ef0b7d315e3b9f640ffb1dc0  prison-5.101.0.tar.xz
+8ccce54834e04decd274a732110878d4  qqc2-desktop-style-5.101.0.tar.xz
+21159b2dee3f985063fb8b94caa68999  kjs-5.101.0.tar.xz
+f4854856b54c28d71e51dea512485b2a  kdelibs4support-5.101.0.tar.xz
+c4ede3338a03349d1a7ae90e1746b18c  khtml-5.101.0.tar.xz
+11733a079fcd9431d22c6c36dfdfa1c8  kjsembed-5.101.0.tar.xz
+aa16c24318f79b7e5c1f19db6086db14  kmediaplayer-5.101.0.tar.xz
+4cea90b5e8b4badd82b28c3756affd1a  kross-5.101.0.tar.xz
+cf9d3fc6a85301cc043ded35b9e9c859  kholidays-5.101.0.tar.xz
+07c85066d41aa72bc1124edffe13f2f5  purpose-5.101.0.tar.xz
+ed07dae20d9b8d829de99616d321b0fb  kcalendarcore-5.101.0.tar.xz
+51e3491915ccf12ec6b7cbbaf168a2ed  kcontacts-5.101.0.tar.xz
+7bb958822d0c6090502d0f1110e6f201  kquickcharts-5.101.0.tar.xz
+506aeb414202a910d56cb8f4d6bfa5c2  knotifyconfig-5.101.0.tar.xz
+d595ea2c824ac87a6104e7d767f39a73  kdav-5.101.0.tar.xz</literal>
 EOF</userinput></screen>
 
@@ -301,6 +301,5 @@
     kdewebkit may be built if the external package
     <ulink url="https://download.qt.io/community_releases/5.9/5.9.0-final/">
-    QtWebkit</ulink> has been built. The kapidox package is a pure python
-    package and cannot be built with the instructions below.
+    QtWebkit</ulink> has been built. 
   </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ee2e6377814aa50e9947c868342c8af270c0b135)
+++ packages.ent	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
@@ -760,7 +760,7 @@
 
 <!-- Chapter 30 -->
-<!ENTITY kf5-version           "5.97.0">
-<!ENTITY kf5-short-version     "5.97">
-<!ENTITY kf5-base              "5.97">
+<!ENTITY kf5-version           "5.101.0">
+<!ENTITY kf5-short-version     "5.101">
+<!ENTITY kf5-base              "5.101">
 <!ENTITY kf5-download-http     "https://download.kde.org/stable/frameworks/&kf5-base;">
 
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision ee2e6377814aa50e9947c868342c8af270c0b135)
+++ x/icons/breeze-icons.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
@@ -7,8 +7,8 @@
   <!ENTITY breeze-icons-download-http "&kf5-download-http;/breeze-icons-&kf5-version;.tar.xz">
   <!ENTITY breeze-icons-download-ftp  " ">
-  <!ENTITY breeze-icons-md5sum        "ad6ca5a1b4bcd4613fe1095b2db58a97">
+  <!ENTITY breeze-icons-md5sum        "fd0d088682c5597d0bf0890dab56fd83">
   <!ENTITY breeze-icons-size          "2.1 MB">
   <!ENTITY breeze-icons-buildsize     "260 MB">
-  <!ENTITY breeze-icons-time          "0.2 SBU">
+  <!ENTITY breeze-icons-time          "0.1 SBU">
 ]>
 
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision ee2e6377814aa50e9947c868342c8af270c0b135)
+++ x/icons/oxygen-icons5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
@@ -7,5 +7,5 @@
   <!ENTITY oxygen-icons5-download-http "&kf5-download-http;/oxygen-icons5-&kf5-version;.tar.xz">
   <!ENTITY oxygen-icons5-download-ftp  " ">
-  <!ENTITY oxygen-icons5-md5sum        "7e8e52f68e5150fdd76f719a723bef6a">
+  <!ENTITY oxygen-icons5-md5sum        "49a0e7efa4c325a7907f4421be1acd14">
   <!ENTITY oxygen-icons5-size          "228 MB">
   <!ENTITY oxygen-icons5-buildsize     "452 MB">