Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 7c6b7d9c6d0f38ed10a6cd703ec6328727905d84)
+++ general/genlib/genlib.xml	(revision 763f67a07d16ccdf688a4068d1b7bc9d6c06c8ee)
@@ -68,4 +68,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glib2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glibmm.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glibmm2.xml"/>
 <!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gmime.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gmime3.xml"/>
Index: general/genlib/glibmm2.xml
===================================================================
--- general/genlib/glibmm2.xml	(revision 763f67a07d16ccdf688a4068d1b7bc9d6c06c8ee)
+++ general/genlib/glibmm2.xml	(revision 763f67a07d16ccdf688a4068d1b7bc9d6c06c8ee)
@@ -0,0 +1,171 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY glibmm-download-http "&gnome-download-http;/glibmm/2.80/glibmm-&glibmm2-version;.tar.xz">
+  <!ENTITY glibmm-download-ftp  " ">
+  <!ENTITY glibmm-md5sum        "7e58344303cec7cd5f1e812f4c70cb43">
+  <!ENTITY glibmm-size          "9.1 MB">
+  <!ENTITY glibmm-buildsize     "97 MB (with tests)">
+  <!ENTITY glibmm-time          "0.6 SBU (Using parallelism=4; with tests)">
+]>
+
+<sect1 id="glibmm2" xreflabel="GLibmm-&glibmm2-version;">
+  <?dbhtml filename="glibmm2.html"?>
+
+
+  <title>GLibmm-&glibmm2-version;</title>
+
+  <indexterm zone="glibmm2">
+    <primary sortas="a-GLibmm2">GLibmm</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GLibmm</title>
+
+    <para>
+      The <application>GLibmm</application> package is a set of C++ bindings
+      for <application>GLib</application>. This version is part of a new API
+      for supporting gtkmm-4.
+    </para>
+
+    &lfs121_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&glibmm-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&glibmm-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &glibmm-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &glibmm-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &glibmm-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &glibmm-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GLibmm Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/> and
+      <xref linkend="libsigc3"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="doxygen"/>,
+      <xref linkend="glib-networking"/> (for tests),
+      <xref linkend="gnutls"/> (for tests),
+      <xref linkend="libxslt"/>, and
+      <ulink url="&gnome-download-http;/mm-common">mm-common</ulink>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GLibmm</title>
+
+    <para>
+      Install <application>GLibmm</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir bld &amp;&amp;
+cd    bld &amp;&amp;
+
+meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>ninja test</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ninja install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libgiomm-2.68.so,
+          libglibmm-2.68.so, and
+          libglibmm_generate_extra_defs-2.68.so
+        </seg>
+        <seg>
+          /usr/lib/g{io,lib}mm-2.68 and
+          /usr/include/g{io,lib}mm-2.68
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libgiomm-2.68">
+        <term><filename class="libraryfile">libgiomm-2.68.so</filename></term>
+        <listitem>
+          <para>
+            contains the GIO API classes
+          </para>
+          <indexterm zone="glibmm2 libgiomm-2.68">
+            <primary sortas="c-libgiomm-2.68">libgiomm-2.68.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libglibmm-2.68">
+        <term><filename class="libraryfile">libglibmm-2.68.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>GLib</application> API classes
+          </para>
+          <indexterm zone="glibmm2 libglibmm-2.68">
+            <primary sortas="c-libglibmm-2.68">libglibmm-2.68.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7c6b7d9c6d0f38ed10a6cd703ec6328727905d84)
+++ packages.ent	(revision 763f67a07d16ccdf688a4068d1b7bc9d6c06c8ee)
@@ -107,4 +107,5 @@
 <!ENTITY glib2-version                "&glib2-minor;.0">
 <!ENTITY glibmm-version               "2.66.5">
+<!ENTITY glibmm2-version              "2.80.0">
 <!ENTITY gmime3-version               "3.2.7">
 <!ENTITY gobject-introspection-version "1.80.1">