Index: basicnet/basicnet.xml
===================================================================
--- basicnet/basicnet.xml	(revision a2d857216e75235c75bccc22220cb91a8bba85dc)
+++ basicnet/basicnet.xml	(revision 773c3586e85016be893a2b6cd480dc0540e92414)
@@ -5,6 +5,7 @@
 
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="basicnet/netlibs/netlibs.xml"/>  
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="basicnet/textweb/textweb.xml"/>  
 
-&basicnet-textweb;
+
 &basicnet-netprogs;
 &basicnet-netutils;
Index: basicnet/textweb/links.xml
===================================================================
--- basicnet/textweb/links.xml	(revision a2d857216e75235c75bccc22220cb91a8bba85dc)
+++ basicnet/textweb/links.xml	(revision 773c3586e85016be893a2b6cd480dc0540e92414)
@@ -1,11 +1,96 @@
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY Links-download-http "http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/download/links-&Links-version;.tar.bz2">
+  <!ENTITY Links-download-ftp  "ftp://atrey.karlin.mff.cuni.cz/pub/local/clock/links/links-&Links-version;.tar.bz2">
+  <!ENTITY Links-size          "3.6 MB">
+  <!ENTITY Links-buildsize     "26 MB">
+  <!ENTITY Links-time          "0.33 SBU">
+]>
+
 <sect1 id="Links" xreflabel="Links-&Links-version;">
 <?dbhtml filename="Links.html"?>
 <title>Links-&Links-version;</title>
 
-&Links-intro;
-&Links-inst;
-&Links-exp;
-&Links-config;
-&Links-desc;
+<sect2>
+<title>Introduction to <application>Links</application></title>
+
+<para><application>Links</application> is a text and graphics mode
+<acronym>WWW</acronym> browser. It includes support for rendering 
+tables and frames, features background downloads, can display colors 
+and has many other features.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&Links-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&Links-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &Links-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &Links-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &Links-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Links</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="gpm"/>, <xref linkend="openssl"/>, <xref linkend="libpng"/>,
+<xref linkend="libjpeg"/>, <xref linkend="libtiff"/>, <xref linkend="SVGAlib"/> 
+and X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>).</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Links</application></title>
+
+<para>Install <application>Links</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><option>--enable-graphics</option>: Add this switch if you want to 
+use <application>Links</application> in graphics mode. You will also need to 
+enable frame buffer support in your kernel and install <xref linkend="gpm"/> 
+or one of the supported graphics libraries.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>Links</application></title>
+
+<sect3><title>Config files</title>
+<para><filename>~/.links/*</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para><application>Links</application> stores its configuration in per-user files in the
+<filename class="directory">~/.links</filename> directory. These files
+are created automatically when <command>links</command> is run for the
+first time.</para>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Links</application> package contains <command>links</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>links</title>
+<para><command>links</command> is a text and graphics mode
+<acronym>WWW</acronym> browser.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: basicnet/textweb/lynx.xml
===================================================================
--- basicnet/textweb/lynx.xml	(revision a2d857216e75235c75bccc22220cb91a8bba85dc)
+++ basicnet/textweb/lynx.xml	(revision 773c3586e85016be893a2b6cd480dc0540e92414)
@@ -1,11 +1,123 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY lynx-download-http "http://lynx.isc.org/release/lynx&lynx-version;.tar.bz2">
+  <!ENTITY lynx-download-ftp  "ftp://lynx.isc.org/lynx/lynx&lynx-version;/lynx&lynx-version;.tar.bz2">
+  <!ENTITY lynx-size          "2.1 MB">
+  <!ENTITY lynx-buildsize     "18 MB">
+  <!ENTITY lynx-time          "0.45 SBU">
+]>
+
 <sect1 id="lynx" xreflabel="Lynx-&lynx-version;">
 <?dbhtml filename="lynx.html"?>
 <title>Lynx-&lynx-version;</title>
 
-&lynx-intro;
-&lynx-inst;
-&lynx-exp;
-&lynx-config;
-&lynx-desc;
+<sect2>
+<title>Introduction to <application>Lynx</application></title>
+
+<para><application>Lynx</application> is a text based web browser.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&lynx-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&lynx-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &lynx-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&lynx-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&lynx-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Lynx</application> dependencies</title>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="openssl"/>,
+<ulink url="http://www.gnu.org/software/gnutls/">GnuTLS</ulink> (which
+needs <ulink
+url="ftp://ftp.gnupg.org/gcrypt/alpha/libgpg-error/">libgpg-error</ulink>,
+<ulink url="ftp://ftp.gnupg.org/gcrypt/libgcrypt/">libgcrypt</ulink> and
+<ulink
+url="ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/opencdk/">opencdk</ulink>,
+in that order.), <ulink url="../server/mail.html">MTA</ulink> and
+<xref linkend="zip"/>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Lynx</application></title>
+
+<para>Install <application>Lynx</application> by running the following commands.
+</para>
+
+<screen><userinput><command>./configure --prefix=/usr --libdir=/etc --with-zlib &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+make docdir=/usr/share/doc/lynx-&lynx-version;/lynx_doc \
+    helpdir=/usr/share/doc/lynx-&lynx-version;/lynx_help install-doc &amp;&amp;
+make docdir=/usr/share/doc/lynx-&lynx-version;/lynx_doc \
+    helpdir=/usr/share/doc/lynx-&lynx-version;/lynx_help install-help</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--libdir=/etc</parameter>: For some reason, the
+configure and make routine for lynx uses libdir as the prefix for the
+configuration file.  We set this to <filename class="directory">/etc</filename> so that the 
+system wide configuration file is <filename>/etc/lynx.cfg</filename>.</para>
+
+<para><option>--with-zlib</option>: This enables support for
+linking <application>zlib</application> into <application>Lynx</application>.</para>
+
+<para><parameter>docdir=... helpdir=...</parameter>: We set these
+variables to avoid getting the help and documentation files installed
+under <filename class="directory">/etc</filename>.</para>
+
+<para><option>--with-ssl</option>: This enables support for
+linking <acronym>SSL</acronym> into <application>Lynx</application>.</para>
+
+<para><option>--with-gnutls</option>: This enables support for
+linking Gnu<acronym>TLS</acronym> into <application>Lynx</application>.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>Lynx</application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/lynx.cfg</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>Various settings such as proxies can be set in the system-wide
+<filename>lynx.cfg</filename> file found in <filename class="directory">/etc</filename>.</para>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Lynx</application> package contains <command>lynx
+</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>lynx</title>
+<para><command>lynx</command> is a general purpose, text-based, distributed 
+information browser for the World Wide Web.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: basicnet/textweb/textweb.xml
===================================================================
--- basicnet/textweb/textweb.xml	(revision a2d857216e75235c75bccc22220cb91a8bba85dc)
+++ basicnet/textweb/textweb.xml	(revision 773c3586e85016be893a2b6cd480dc0540e92414)
@@ -1,22 +1,28 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <chapter id="basicnet-textweb">
 <?dbhtml filename="textweb.html"?>
 <title>Text Web Browsers</title>
 
-<para>People who are new to Unix-based systems tend to ask the question
-"Why on earth would I want a text-mode browser?  I'm going to compile X
-and use Konqueror/Mozilla/Whatever!".  Those who have been
-around systems for a while know that when (not if) you manage to mess up
-your graphical browser install and you need to look up some information
-on the web, a console based browser will save you.  Also, there are
-quite a few people who prefer to use one of these browsers as their
-principle method of browsing; either to avoid the clutter and bandwidth
-which accompanies images or because they may use a text-to-speech
-synthesizer which can read the page to them (of use for instance to
-partially sighted or blind users).  We currently have installation
+<para>People who are new to Unix-based systems tend to ask the question "Why on
+earth would I want a text-mode browser?  I'm going to compile X and use
+Konqueror/Mozilla/Whatever!".  Those who have been around systems for a while
+know that when (not if) you manage to mess up your graphical browser install
+and you need to look up some information on the web, a console based browser
+will save you.  Also, there are quite a few people who prefer to use one of
+these browsers as their principle method of browsing; either to avoid the
+clutter and bandwidth which accompanies images or because they may use a
+text-to-speech synthesizer which can read the page to them (of use for instance
+to partially sighted or blind users).  We currently have installation
 instructions for three console web browsers:</para>
 
-&Links;
-&lynx;
-&w3m;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="links.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="lynx.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="w3m.xml"/>
 
 </chapter>
Index: basicnet/textweb/w3m.xml
===================================================================
--- basicnet/textweb/w3m.xml	(revision a2d857216e75235c75bccc22220cb91a8bba85dc)
+++ basicnet/textweb/w3m.xml	(revision 773c3586e85016be893a2b6cd480dc0540e92414)
@@ -1,10 +1,92 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY w3m-download-http "http://prdownloads.sourceforge.net/w3m/w3m-&w3m-version;.tar.gz">
+  <!ENTITY w3m-download-ftp  " ">
+  <!ENTITY w3m-size          "646 KB">
+  <!ENTITY w3m-buildsize     "11 MB">
+  <!ENTITY w3m-time          "0.28 SBU">
+]>
+
 <sect1 id="w3m" xreflabel="w3m">
 <?dbhtml filename="w3m.html"?>
 <title>w3m-&w3m-version;</title>
 
-&w3m-intro;
-&w3m-inst;
-&w3m-config;
-&w3m-desc;
+<sect2>
+<title>Introduction to <application>w3m</application></title>
+
+<para><application>w3m</application> is primarily a pager but it can also be used as a text-mode
+<acronym>WWW</acronym> browser.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&w3m-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&w3m-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &w3m-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &w3m-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &w3m-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>w3m</application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<ulink url="http://www.hpl.hp.com/personal/Hans_Boehm/gc/">GC</ulink>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="gpm"/>,
+<xref linkend="openssl"/>, 
+<xref linkend="imlib"/>,
+<xref linkend="imlib2"/>,
+<xref linkend="gdk"/> and
+<xref linkend="compface"/>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>w3m</application></title>
+
+<para>Install <application>w3m</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+cp doc/keymap.default /etc/w3m/keymap &amp;&amp;
+cp doc/menu.default /etc/w3m/menu</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>w3m</application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/w3m/*</filename>, <filename>~/.w3m/*</filename></para>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>w3m</application> package contains <command>w3m
+</command> and <command>w3mman</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>w3m</title>
+<para><command>w3m</command> is a text based web browser and pager.</para></sect3>
+
+<sect3><title>w3mman</title>
+<para><command>w3mman</command> is an interface to the on-line reference 
+manuals in w3m.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: general.ent
===================================================================
--- general.ent	(revision a2d857216e75235c75bccc22220cb91a8bba85dc)
+++ general.ent	(revision 773c3586e85016be893a2b6cd480dc0540e92414)
@@ -68,7 +68,8 @@
 <!ENTITY libsoup-version   "1.99.28"> 
 
-
 <!-- Chapter 17 -->
-
+<!ENTITY Links-version     "2.1pre14">  
+<!ENTITY lynx-version      "2.8.5">
+<!ENTITY w3m-version       "0.4.2"> 
 
 <!-- Chapter 18 -->