Index: x/lib/qt5-alternate.xml
===================================================================
--- x/lib/qt5-alternate.xml	(revision 6646cae6c19f490fc88d8afff0c1c262daef2277)
+++ x/lib/qt5-alternate.xml	(revision 775d5f4eb57a11593d77f91325c9e0e1ac4a59c9)
@@ -10,8 +10,8 @@
   <!ENTITY qt5-download-http "&qt5-url;/qt-everywhere-opensource-src-&qt5-version;.tar.xz">
   <!ENTITY qt5-download-ftp  " ">
-  <!ENTITY qt5-md5sum        "fb41d86bea6bc4886030a5092c910b09">
-  <!ENTITY qt5-size          "629 MB">
-  <!ENTITY qt5-buildsize     "8.7 GB (153 MB installed)">
-  <!ENTITY qt5-time          "5.7 SBU (using parallelism=8)">
+  <!ENTITY qt5-md5sum        "37b79a3764b0c9157fa3686df209b25a">
+  <!ENTITY qt5-size          "630 MB">
+  <!ENTITY qt5-buildsize     "8.6 GB (153 MB installed)">
+  <!ENTITY qt5-time          "4.8 SBU (using parallelism=8)">
 ]>
 
@@ -408,5 +408,5 @@
 
 <screen role="root"><userinput>for file in moc uic rcc qmake lconvert lrelease lupdate; do
-  ln -sfrvn $QT5BINDIR/$file /usr/bin/$file-qt5
+  ln -sfvn $QT5BINDIR/$file /usr/bin/$file-qt5
 done</userinput></screen>
 
@@ -578,4 +578,6 @@
         </seg>
         <seg>
+          libQt5AccessibilitySupport.a,
+          libQt5Bootstrap.a,
           libQt5Concurrent.so,
           libQt5Core.so,
@@ -583,12 +585,27 @@
           libQt5Designer.so,
           libQt5DesignerComponents.so,
+          libQt5DeviceDiscoverySupport.a,
+          libQt5EdidSupport.a,
           libQt5EglFSDeviceIntegration.so,
           libQt5EglFsKmsSupport.so,
+          libQt5EglSupport.a,
+          libQt5EventDispatcherSupport.a,
+          libQt5FbSupport.a,
+          libQt5FontDatabaseSupport.a,
+          libQt5GlxSupport.a,
           libQt5Gui.so,
           libQt5Help.so,
+          libQt5InputSupport.a,
+          libQt5KmsSupport.a,
+          libQt5LinuxAccessibilitySupport.a,
           libQt5Network.so,
           libQt5OpenGL.so,
+          libQt5OpenGLExtensions.a,
+          libQt5PacketProtocol.a,
+          libQt5PlatformCompositorSupport.a,
           libQt5PrintSupport.so,
           libQt5Qml.so,
+          libQt5QmlDebug.a,
+          libQt5QmlDevTools.a,
           libQt5QmlModels.so,
           libQt5QmlWorkerScript.so,
@@ -597,4 +614,11 @@
           libQt5QuickShapes.so,
           libQt5QuickTest.so,
+          libQt5QuickWidgets.so,
+          libQt5ServiceSupport.a,
+          libQt5Sql.so,
+          libQt5Svg.so,
+          libQt5Test.so,
+          libQt5ThemeSupport.a,
+          libQt5UiTools.a,
           libQt5WaylandClient.so,
           libQt5WaylandCompositor.so,
@@ -602,6 +626,6 @@
           libQt5X11Extras.so,
           libQt5XcbQpa.so,
+          libQt5XkbCommonSupport.a,
           libQt5Xml.so,
-          several static libraries,
           and several plugins under /opt/qt5/{plugins,qml}
         </seg>
Index: x/lib/qt5-components.xml
===================================================================
--- x/lib/qt5-components.xml	(revision 6646cae6c19f490fc88d8afff0c1c262daef2277)
+++ x/lib/qt5-components.xml	(revision 775d5f4eb57a11593d77f91325c9e0e1ac4a59c9)
@@ -10,6 +10,6 @@
   <!ENTITY qt5-download-http "&qt5-url;/qt-everywhere-opensource-src-&qt5-version;.tar.xz">
   <!ENTITY qt5-download-ftp  " ">
-  <!ENTITY qt5-md5sum        "fb41d86bea6bc4886030a5092c910b09">
-  <!ENTITY qt5-size          "varies">
+  <!ENTITY qt5-md5sum        "37b79a3764b0c9157fa3686df209b25a">
+  <!ENTITY qt5-size          "630 MB">
   <!ENTITY qt5-buildsize     "varies">
   <!ENTITY qt5-time          "varies">
@@ -53,10 +53,10 @@
         </para>
       </listitem>
+      <listitem>
+        <para>
+          Download size: &qt5-size;
+        </para>
+      </listitem>
 <!--
-      <listitem>
-        <para>
-          Download size: &qt5-size;
-        </para>
-      </listitem>
       <listitem>
         <para>
@@ -109,5 +109,5 @@
     </para>
 
-    <bridgehead renderas="sect4">Recommended dependencies for multimedia</bridgehead>
+    <bridgehead renderas="sect4">Recommended dependencies for qtmultimedia</bridgehead>
     <para role="recommended">
       <xref linkend="gst10-plugins-good"/>,
@@ -143,5 +143,5 @@
     </para>
 
-<screen><userinput remap="pre">patch -Np1 -i ../qt-everywhere-opensource-src-5.15.10-kf5-1.patch</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../qt-everywhere-opensource-src-&qt5-version;-kf5-1.patch</userinput></screen>
 
     <para>
@@ -159,6 +159,6 @@
     </para>
 
-<screen><userinput>cd &lt;component&gt;
-qmake &lt;component&gt;.pro
+<screen><userinput>cd <replaceable>&lt;component&gt;</replaceable>
+qmake <replaceable>&lt;component&gt;</replaceable>.pro
 make</userinput></screen>
 
@@ -200,7 +200,7 @@
         </seg>
         <seg>
-          $QTDIR/qml/&lt;component&gt;,
-          $QTDIR/lib/&lt;component&gt;, and
-          $QTDIR/include/&lt;component&gt;
+          $QT5DIR/qml/&lt;component&gt;,
+          $QT5DIR/lib/cmake/&lt;component&gt;, and
+          $QT5DIR/include/&lt;component&gt;
         </seg>
       </seglistitem>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 6646cae6c19f490fc88d8afff0c1c262daef2277)
+++ x/lib/qt5.xml	(revision 775d5f4eb57a11593d77f91325c9e0e1ac4a59c9)
@@ -10,8 +10,8 @@
   <!ENTITY qt5-download-http "&qt5-url;/qt-everywhere-opensource-src-&qt5-version;.tar.xz">
   <!ENTITY qt5-download-ftp  " ">
-  <!ENTITY qt5-md5sum        "fb41d86bea6bc4886030a5092c910b09">
-  <!ENTITY qt5-size          "629 MB">
+  <!ENTITY qt5-md5sum        "37b79a3764b0c9157fa3686df209b25a">
+  <!ENTITY qt5-size          "630 MB">
   <!ENTITY qt5-buildsize     "15 GB (263 MB installed)">
-  <!ENTITY qt5-time          "23 SBU (using parallelism=8)">
+  <!ENTITY qt5-time          "9 SBU (using parallelism=8)">
 ]>
 
@@ -437,5 +437,5 @@
 
 <screen role="root"><userinput>for file in moc uic rcc qmake lconvert lrelease lupdate; do
-  ln -sfrvn $QT5BINDIR/$file /usr/bin/$file-qt5
+  ln -sfvn $QT5BINDIR/$file /usr/bin/$file-qt5
 done</userinput></screen>
 
@@ -444,5 +444,5 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
+    <!--
     <para>
       <command>sed ...</command>: Allows using
@@ -452,5 +452,5 @@
       switch.
     </para>
-
+    -->
     <para>
       <parameter>-confirm-license</parameter>: Accept license