Index: general.ent
===================================================================
--- general.ent	(revision 0faa76dafc9a6c4a1e6471708e7561cbc59c297b)
+++ general.ent	(revision 776dbf31e4dfe36d64ab80dbcd93e48feca3bf3b)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "10">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 9th, &year;">
+<!ENTITY releasedate  "July 10th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision 0faa76dafc9a6c4a1e6471708e7561cbc59c297b)
+++ general/graphlib/babl.xml	(revision 776dbf31e4dfe36d64ab80dbcd93e48feca3bf3b)
@@ -7,7 +7,7 @@
   <!ENTITY babl-download-http "https://download.gimp.org/pub/babl/0.1/babl-&babl-version;.tar.bz2">
   <!ENTITY babl-download-ftp  " ">
-  <!ENTITY babl-md5sum        "e7b937608a758004af5a9c254c77069b">
-  <!ENTITY babl-size          "648 KB">
-  <!ENTITY babl-buildsize     "17 MB (with tests)">
+  <!ENTITY babl-md5sum        "58a5e9a21890e4ed51b6231506eeb2ae">
+  <!ENTITY babl-size          "650 KB">
+  <!ENTITY babl-buildsize     "15 MB (with tests)">
   <!ENTITY babl-time          "0.3 SBU (with tests)">
 ]>
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 0faa76dafc9a6c4a1e6471708e7561cbc59c297b)
+++ general/graphlib/gegl.xml	(revision 776dbf31e4dfe36d64ab80dbcd93e48feca3bf3b)
@@ -7,7 +7,7 @@
   <!ENTITY gegl-download-http "https://download.gimp.org/pub/gegl/0.4/gegl-&gegl-version;.tar.bz2">
   <!ENTITY gegl-download-ftp  " ">
-  <!ENTITY gegl-md5sum        "47b8f88c466e0a38f5e8d6181bba89bd">
-  <!ENTITY gegl-size          "6.5 MB">
-  <!ENTITY gegl-buildsize     "133 MB (add 22 MB for tests)">
+  <!ENTITY gegl-md5sum        "85ebd0e453703e6ba12deb0b3b0e4ac3">
+  <!ENTITY gegl-size          "6.6 MB">
+  <!ENTITY gegl-buildsize     "130 MB (add 22 MB for tests)">
   <!ENTITY gegl-time          "0.8 SBU (Using parallism=4; add 0.4 SBU for tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0faa76dafc9a6c4a1e6471708e7561cbc59c297b)
+++ introduction/welcome/changelog.xml	(revision 776dbf31e4dfe36d64ab80dbcd93e48feca3bf3b)
@@ -43,4 +43,22 @@
 -->
     <listitem>
+      <para>July 10th, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[timtas] - Update to babl-0.1.52.  Fixes
+          <ulink url="&blfs-ticket-root;10911">#10911</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[timtas] - Update to gegl-0.4.4.  Fixes
+          <ulink url="&blfs-ticket-root;10915">#10915</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[timtas] - Update to gimp-2.10.4.  Fixes
+          <ulink url="&blfs-ticket-root;10921">#10921</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>July 09th, 2018</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 0faa76dafc9a6c4a1e6471708e7561cbc59c297b)
+++ packages.ent	(revision 776dbf31e4dfe36d64ab80dbcd93e48feca3bf3b)
@@ -196,10 +196,10 @@
 <!-- Chapter 10 -->
 <!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.50">
+<!ENTITY babl-version                 "0.1.52">
 <!ENTITY exiv2-version                "0.26">
 <!ENTITY freetype2-version            "2.9.1">
 <!ENTITY fontconfig-version           "2.13.0">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.4">
-<!ENTITY gegl-version                 "0.4.2">
+<!ENTITY gegl-version                 "0.4.4">
 <!ENTITY giflib-version               "5.1.4">
 <!ENTITY graphite2-version            "1.3.11">
@@ -749,5 +749,5 @@
 <!ENTITY fontforge-version            "20170731">
 <!ENTITY gparted-version              "0.31.0">
-<!ENTITY gimp-version                 "2.10.2">
+<!ENTITY gimp-version                 "2.10.4">
 <!ENTITY hexchat-version              "2.14.1">
 <!ENTITY icedtea-web-version          "1.7.1">
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision 0faa76dafc9a6c4a1e6471708e7561cbc59c297b)
+++ xsoft/other/gimp.xml	(revision 776dbf31e4dfe36d64ab80dbcd93e48feca3bf3b)
@@ -7,7 +7,7 @@
   <!ENTITY gimp-download-http "https://download.gimp.org/pub/gimp/v2.10/gimp-&gimp-version;.tar.bz2">
   <!ENTITY gimp-download-ftp  " ">
-  <!ENTITY gimp-md5sum        "66b527cac13485be411dd254896c20ae">
+  <!ENTITY gimp-md5sum        "9e0a3703a920da8b3e51e845fa3bff7d">
   <!ENTITY gimp-size          "30 MB">
-  <!ENTITY gimp-buildsize     "793 MB (add 745 MB for tests)">
+  <!ENTITY gimp-buildsize     "630 MB (add 745 MB for tests)">
   <!ENTITY gimp-time          "4.7 SBU (add 0.6 SBU for tests)">
 