Index: general/genlib/gdbm.xml
===================================================================
--- general/genlib/gdbm.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,12 @@
+<sect1 id="gdbm" xreflabel="gdbm-&gdbm-version;">
+<?dbhtml filename="gdbm.html" dir="general"?>
+<title>gdbm-&gdbm-version;</title>
+
+&gdbm-intro;
+&gdbm-inst;
+&gdbm-exp;
+&gdbm-config;
+&gdbm-desc;
+
+</sect1>
+
Index: general/genlib/gdbm/gdbm-config.xml
===================================================================
--- general/genlib/gdbm/gdbm-config.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm/gdbm-config.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Configuring gdbm</title>
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: general/genlib/gdbm/gdbm-desc.xml
===================================================================
--- general/genlib/gdbm/gdbm-desc.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm/gdbm-desc.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gdbm package contains <userinput>gdbm libraries</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gdbm libraries</title>
+<para>gdbm libraries contains functions that preform database routines
+using extendible hashing,</para></sect3>
+
+
+</sect2>
+
Index: general/genlib/gdbm/gdbm-exp.xml
===================================================================
--- general/genlib/gdbm/gdbm-exp.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm/gdbm-exp.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>prefix=/usr man3dir=/usr/share/man/man3
+infodir=/usr/share/info :</userinput> This command sets the file install
+locations which <filename>configure</filename> fails to do when the
+standard parameters are used.</para>
+
+<para><userinput>BINOWN=root BINGRP=root :</userinput> This command
+changes the file ownership to root instead of the bin user.</para>
+
+</sect2>
+
Index: general/genlib/gdbm/gdbm-inst.xml
===================================================================
--- general/genlib/gdbm/gdbm-inst.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm/gdbm-inst.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of gdbm</title>
+
+<para>Install gdbm by running the following commands:</para>
+
+<para><screen><userinput>./configure &amp;&amp;
+make &amp;&amp;
+make prefix=/usr man3dir=/usr/share/man/man3 infodir=/usr/share/info \
+BINOWN=root BINGRP=root install</userinput></screen></para>
+
+</sect2>
+
Index: general/genlib/gdbm/gdbm-intro.xml
===================================================================
--- general/genlib/gdbm/gdbm-intro.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm/gdbm-intro.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Introduction to gdbm</title>
+
+<screen>Download location (HTTP):       <ulink url="&gdbm-download-http;"/>
+Download location (FTP):        <ulink url="&gdbm-download-ftp;"/>
+Version used:                   &gdbm-version;
+Package size:                   &gdbm-size;
+Estimated Disk space required:  &gdbm-buildsize;</screen>
+
+<para>The gdbm package contains a dbm library. This is useful for
+database routines that use extendible hashing.</para>
+
+
+</sect2>
Index: general/genlib/gdbm/gdbm.ent
===================================================================
--- general/genlib/gdbm/gdbm.ent	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gdbm/gdbm.ent	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,11 @@
+<!ENTITY gdbm SYSTEM "../gdbm.xml">
+<!ENTITY gdbm-intro SYSTEM "gdbm-intro.xml">
+<!ENTITY gdbm-inst SYSTEM "gdbm-inst.xml">
+<!ENTITY gdbm-exp SYSTEM "gdbm-exp.xml">
+<!ENTITY gdbm-desc SYSTEM "gdbm-desc.xml">
+<!ENTITY gdbm-config SYSTEM "gdbm-config.xml">
+<!ENTITY gdbm-buildsize "1 MB">
+<!ENTITY gdbm-version "1.8.0">
+<!ENTITY gdbm-download-http "">
+<!ENTITY gdbm-download-ftp "ftp://ftp.gnu.org/gnu/gdbm/gdbm-1.8.0.tar.gz">
+<!ENTITY gdbm-size "136 KB">
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 1b5321edd3839707ff896fdf26d51d619a46a3c6)
+++ general/genlib/genlib.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -41,4 +41,6 @@
 &libxml2;
 &libxslt;
+&gmp;
+&gdbm;
 
 </chapter>
Index: general/genlib/gmp.xml
===================================================================
--- general/genlib/gmp.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gmp.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,11 @@
+<sect1 id="gmp" xreflabel="gmp-&gmp-version;">
+<?dbhtml filename="gmp.html" dir="general"?>
+<title>gmp-&gmp-version;</title>
+
+&gmp-intro;
+&gmp-inst;
+&gmp-config;
+&gmp-desc;
+
+</sect1>
+
Index: general/genlib/gmp/gmp-config.xml
===================================================================
--- general/genlib/gmp/gmp-config.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gmp/gmp-config.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Configuring gmp</title>
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: general/genlib/gmp/gmp-desc.xml
===================================================================
--- general/genlib/gmp/gmp-desc.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gmp/gmp-desc.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gmp package contains <userinput>gmp libraries</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gmp libraries</title>
+<para>gmp libraries contains the functions to operate on signed
+integers, rational numbers, and floating point numbers.</para></sect3>
+
+
+</sect2>
+
Index: general/genlib/gmp/gmp-inst.xml
===================================================================
--- general/genlib/gmp/gmp-inst.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gmp/gmp-inst.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of gmp</title>
+
+<para>Install gmp by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: general/genlib/gmp/gmp-intro.xml
===================================================================
--- general/genlib/gmp/gmp-intro.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gmp/gmp-intro.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Introduction to gmp</title>
+
+<screen>Download location (HTTP):       <ulink url="&gmp-download-http;"/>
+Download location (FTP):        <ulink url="&gmp-download-ftp;"/>
+Version used:                   &gmp-version;
+Package size:                   &gmp-size;
+Estimated Disk space required:  &gmp-buildsize;</screen>
+
+<para>The gmp package contains a MP library. This has useful functions for
+arbitrary precision arithmetic.</para>
+
+<screen>gmp will utilize:
+readline</screen>
+
+</sect2>
Index: general/genlib/gmp/gmp.ent
===================================================================
--- general/genlib/gmp/gmp.ent	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/genlib/gmp/gmp.ent	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
@@ -0,0 +1,11 @@
+<!ENTITY gmp SYSTEM "../gmp.xml">
+<!ENTITY gmp-intro SYSTEM "gmp-intro.xml">
+<!ENTITY gmp-inst SYSTEM "gmp-inst.xml">
+<!ENTITY gmp-exp SYSTEM "gmp-exp.xml">
+<!ENTITY gmp-desc SYSTEM "gmp-desc.xml">
+<!ENTITY gmp-config SYSTEM "gmp-config.xml">
+<!ENTITY gmp-buildsize "19 MB">
+<!ENTITY gmp-version "4.1">
+<!ENTITY gmp-download-http "">
+<!ENTITY gmp-download-ftp "ftp://ftp.gnu.org/gnu/gmp/gmp-4.1.tar.gz">
+<!ENTITY gmp-size "2 MB">