Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision 3d656d74e55515d727b1e641a0d83ac6f1316225)
+++ kde/plasma5/plasma-all.xml	(revision 0779b94dde543fab5a8ac50678ab2d1abd07b88d)
@@ -31,10 +31,5 @@
   They implement the KDE Display Environment (Plasma 5).</para>
 
-  <note>
-    <para>The procedures below are under development.  They have not been 
-    verified to work properly in an LFS-7.8 environment.</para>
-  </note>
-
-  <!--&lfs78_checked;-->
+  &lfs78_checked;
 
   <para>The instructions below build all of the Plasma 5 packages in one
@@ -71,12 +66,8 @@
     <xref linkend="gtk3"/>, 
     <xref linkend="kf5-frameworks"/>,
-    <xref linkend="libcanberra"/>, 
-    <xref linkend="libinput"/>, 
     <xref linkend="libpwquality"/>,
     <xref linkend="libxkbcommon"/>,
-    <xref linkend="linux-pam"/>,
     <xref linkend="mesa"/> built with <xref linkend="wayland"/>,
     <xref linkend="NetworkManager"/>, 
-    <xref linkend="oxygen-icons"/>, 
     <xref linkend="pulseaudio"/>, 
     <xref linkend="python2"/>, 
@@ -87,58 +78,27 @@
   <bridgehead renderas="sect4">Recommended</bridgehead>
   <para role="recommended">
+    <xref linkend="libdbusmenu-qt"/>, 
+    <xref linkend="libcanberra"/>, 
+    <xref linkend="libinput"/>, 
+    <xref linkend="linux-pam"/>,
     <xref linkend="lm_sensors"/>, 
-    <xref linkend="pciutils"/>,
-    <xref linkend="xorg-synaptics-driver"/>
-    Others to be determined.
+    <xref linkend="oxygen-icons"/>, and
+    <xref linkend="pciutils"/>
   </para>
-<!--
+
   <bridgehead renderas="sect4">Optional</bridgehead>
   <para role="optional">
-    <xref linkend="bluez"/> (needed to build Bluez-Qt),
-    <xref linkend="NetworkManager"/> (needed to build NetworkManager-Qt),
-    <ulink url="http://www.freedesktop.org/software/ModemManager/">ModemManager</ulink> (needed to build ModemManager-Qt)
+    <xref linkend="glu"/>,
+    <xref linkend="xorg-synaptics-driver"/>,
+    <ulink url="https://github.com/ibus/ibus/wiki">IBUS</ulink>,
+    <ulink url="http://gpsd.berlios.de">libgps</ulink>,
+    <ulink url="https://github.com/libhybris/libhybris">libhybris</ulink>,
+    <ulink url="http://sourceforge.net/projects/libraw1394/">libraw1394</ulink>,
+    <ulink url="https://bitbucket.org/godsme/mockcpp">mockcpp</ulink>,
+    <ulink url="http://qalculate.sourceforge.net">Qalculate</ulink>,
+    <ulink url="https://launchpad.net/qapt">Qapt</ulink>, and
+    <ulink url="https://github.com/osiam/osiam">SCIM</ulink>
   </para>
 
-  <bridgehead renderas="sect4">Runtime dependency for FrameworkIntegration</bridgehead>
-  <para role="optional">
-    <ulink url="http://download.kde.org/stable/plasma/5.2.0">oxygen-fonts</ulink>
-  </para>
-
-  <bridgehead renderas="sect4">Runtime dependencies for kapidox</bridgehead>
-  <para role="optional">
-    <xref linkend="doxygen"/>,
-    <ulink url="https://pypi.python.org/packages/source/J/Jinja2/">Jinja2</ulink>, and
-    <ulink url="http://pyyaml.org/">PyYAML</ulink>
-  </para>
-
-  <bridgehead renderas="sect4">Additional image formats support in KImageFormats</bridgehead>
-  <para role="optional">
-    <xref linkend="jasper"/> and
-    <ulink url="http://www.openexr.com/">OpenEXR</ulink>
-  </para>
-
-  <bridgehead renderas="sect4">Optional dependencies for KIO</bridgehead>
-  <para role="optional">
-    <xref linkend="mitkrb"/>
-  </para>
-
-  <bridgehead renderas="sect4">Optional dependencies for ModemManager-QT</bridgehead>
-  <para role="optional">
-    <ulink url="http://www.freedesktop.org/software/ModemManager/">ModemManager</ulink>
-  </para>
-
-  <bridgehead renderas="sect4">Optional dependencies for Solid</bridgehead>
-  <para role="optional">
-    <xref linkend="udisks2"/>,
-    <xref linkend="upower"/> and
-    <ulink url="http://www.freedesktop.org/software/media-player-info/">media-player-info</ulink> (runtime)
-  </para>
-
-  <bridgehead renderas="sect4">Optional dictionary backends for Sonnet</bridgehead>
-  <para role="optional">
-    <ulink url="http://hspell.ivrix.org.il/">Hspell</ulink> and
-    <ulink url="http://hunspell.sourceforge.net/">Hunspell</ulink>
-  </para>
--->
   <para condition="html" role="usernotes">User Notes:
   <ulink url="&blfs-wiki;/kf5"/></para>