Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ appendices/glossary.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -9,4 +9,7 @@
 <glossdef><para>Asymmetric Digital Subscriber Line</para></glossdef></glossentry>
 
+<glossentry id="gAPI"><glossterm><acronym>API</acronym></glossterm>
+<glossdef><para>Application Programming Interface</para></glossdef></glossentry>
+
 <glossentry id="gASCII"><glossterm><acronym>ASCII</acronym></glossterm>
 <glossdef><para>American Standard Code for Information Interchange</para></glossdef></glossentry>
@@ -174,4 +177,8 @@
 <glossdef><para>Remote Procedure Call</para></glossdef></glossentry>
 
+<glossentry id="gSANE"><glossterm><acronym>SANE</acronym></glossterm>
+<glossdef><para>Scanner Access Now Easy</para></glossdef></glossentry>
+
+
 <glossentry id="gSBU"><glossterm><acronym>SBU</acronym></glossterm>
 <glossdef><para>Static Binutils Units</para></glossdef></glossentry>
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/printing/cups.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,5 +1,5 @@
-<sect1 id="cups" xreflabel="cups-&cups-version;">
+<sect1 id="cups" xreflabel="CUPS-&cups-version;">
 <?dbhtml filename="cups.html" dir="pst"?>
-<title>cups-&cups-version;</title>
+<title>CUPS-&cups-version;</title>
 
 &cups-intro;
Index: pst/printing/cups/cups-config.xml
===================================================================
--- pst/printing/cups/cups-config.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/printing/cups/cups-config.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,14 +1,16 @@
 <sect2>
-<title><acronym>CUPS</acronym> Configuration</title>
+<title>Configuring <application><acronym>CUPS</acronym></application></title>
 
-<para>Configuration of <acronym>CUPS</acronym> is dependent on the type 
-of printer and can be complex. Generally, postscript printers are easier. 
-For detailed instructions on configuration and use of <acronym>CUPS</acronym>, 
-see <ulink url="http://www.cups.org/documentation.php"/>. The Software 
+<para>Configuration of <application><acronym>CUPS</acronym></application> is 
+dependent on the type of printer and can be complex. Generally, PostScript 
+printers are easier. For detailed instructions on configuration and use of 
+<application><acronym>CUPS</acronym></application>, see 
+<ulink url="http://www.cups.org/documentation.php"/>. The Software 
 Administrators Manual and Software Users Manual are particularly useful.</para>
 
-<para>During the install, <acronym>CUPS</acronym> created the startup file 
-<filename>/etc/rc.d/init.d/cups</filename>. The file works, but you may 
-want to change it to a more conventional <acronym>LFS</acronym> startup file:</para>
+<para>During the install, <application><acronym>CUPS</acronym></application> 
+created the startup file <filename>/etc/rc.d/init.d/cups</filename>. The file 
+works, but you may want to change it to a more conventional <acronym>LFS
+</acronym> startup file:</para>
 
 <screen><userinput><command>cat &gt; /etc/rc.d/init.d/cups &lt;&lt; "EOF"</command>
Index: pst/printing/cups/cups-desc.xml
===================================================================
--- pst/printing/cups/cups-desc.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/printing/cups/cups-desc.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para><acronym>CUPS</acronym> provides 
+<para><application><acronym>CUPS</acronym></application> provides 
 <command>accept</command>,
 <command>cupsaddsmb</command>,
@@ -29,5 +29,6 @@
 <sect3><title>lpc</title>
 <para><command>lpc</command> provides limited control over printer
-and class queues provided by <acronym>CUPS</acronym>.</para></sect3>
+and class queues provided by <application><acronym>CUPS</acronym>
+</application>.</para></sect3>
 
 <sect3><title>cupsd</title>
@@ -36,6 +37,5 @@
 
 <sect3><title>accept</title>
-<para><command>accept</command> instructs the printing system to accept print jobs to the specified
-destinations.
+<para><command>accept</command> instructs the printing system to accept print jobs to the specified destinations.
 </para></sect3>
 
@@ -106,9 +106,11 @@
 <sect3><title>lppasswd</title>
 <para><command>lppasswd</command> adds, changes or deletes passwords in 
-the <acronym>CUPS</acronym> digest password file <filename>passwd.md5</filename>.
+the <application><acronym>CUPS</acronym></application> digest password file 
+<filename>passwd.md5</filename>.
 </para></sect3>
 
 <sect3><title>cups-config</title>
-<para><command>cups-config</command> is the <acronym>CUPS</acronym> program configuration utility.
+<para><command>cups-config</command> is the <application><acronym>CUPS
+</acronym></application> program configuration utility.
 </para></sect3>
 
Index: pst/printing/cups/cups-exp.xml
===================================================================
--- pst/printing/cups/cups-exp.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/printing/cups/cups-exp.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -3,5 +3,6 @@
 
 <para>The basic default behavior of the installation is appropriate for
-<acronym>LFS</acronym> systems. <acronym>CUPS</acronym> files are placed in <filename
+<acronym>LFS</acronym> systems. <application><acronym>CUPS</acronym>
+</application> files are placed in <filename
 class="directory">/usr/bin</filename>, <filename class="directory">/usr/sbin</filename>, <filename
 class="directory">/var</filename> and <filename class="directory">/etc/cups</filename>.</para>
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/printing/gs.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,5 +1,5 @@
 <sect1 id="gs" xreflabel="AFPL GhostScript-&gs-version;">
 <?dbhtml filename="gs.html" dir="pst"?>
-<title>AFPL Ghostscript-&gs-version;</title>
+<title>AFPL GhostScript-&gs-version;</title>
 
 &gs-intro;
Index: pst/printing/printing.xml
===================================================================
--- pst/printing/printing.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/printing/printing.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -3,8 +3,12 @@
 <title>Printing</title>
 
+<para>This chapter contains spooling printer management systems and
+ghostscript applications to render PostScript for display on terminals
+or paper.</para>
+
 &cups;
+&LPRng;
 &gs;
 &espgs;
-&LPRng;
 
 </chapter>
Index: pst/scanning/sane.xml
===================================================================
--- pst/scanning/sane.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/sane.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,5 +1,5 @@
-<sect1 id="sane" xreflabel="sane-&sane-version;">
+<sect1 id="sane" xreflabel="SANE-&sane-version;">
 <?dbhtml filename="sane.html" dir="pst"?>
-<title>sane-&sane-version;</title>
+<title>SANE-&sane-version;</title>
 
 &sane-intro;
Index: pst/scanning/sane/sane-inst.xml
===================================================================
--- pst/scanning/sane/sane-inst.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/sane/sane-inst.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Installation of <application>sane</application></title>
+<title>Installation of <application><acronym>SANE</acronym></application></title>
 
 <sect3><title>Preparing your system for scanner access</title>
@@ -12,8 +12,8 @@
 </sect3>
 
-<sect3><title>Installation of <application>sane</application> backends</title>
+<sect3><title>Installation of <application><acronym>SANE</acronym></application> backends</title>
 
-<para>Install <application>sane</application> backends by running the following 
-commands:</para>
+<para>Install <application><acronym>SANE</acronym></application> backends by 
+running the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr &amp;&amp;
@@ -23,7 +23,7 @@
 </sect3>
 
-<sect3><title>Installation of <application>sane</application> frontends</title>
+<sect3><title>Installation of <application><acronym>SANE</acronym></application> frontends</title>
 
-<para>To install <application>sane</application> frontends, use the following 
+<para>To install <application><acronym>SANE</acronym></application> frontends, use the following 
 commands:</para>
 
Index: pst/scanning/sane/sane-intro.xml
===================================================================
--- pst/scanning/sane/sane-intro.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/sane/sane-intro.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,9 +1,9 @@
 <sect2>
-<title>Introduction to <application>sane</application></title>
+<title>Introduction to <application><acronym>SANE</acronym></application></title>
 
 <para><acronym>SANE</acronym> is short for Scanner Access Now Easy. 
 Scanner access, however, is far from easy, since every vendor has their own 
 protocols. The only known protocol that should bring some unity into this 
-chaos is the <acronym>TWAIN</acronym> interface, but this is too imprecise to 
+chaos is the TWAIN interface, but this is too imprecise to 
 allow a stable scanning framework. Therefore, <acronym>SANE</acronym> comes 
 with its own protocol, so the vendor drivers can't be used.</para>
@@ -29,5 +29,5 @@
 </sect3>
                                                                                 
-<sect3><title><application>sane</application> dependencies</title>
+<sect3><title><application><acronym>SANE</acronym></application> dependencies</title>
 <sect4><title>Optional</title>
 <para><xref linkend="xfree86"/>, <xref linkend="GTK"/> and <xref
Index: pst/scanning/scanning.xml
===================================================================
--- pst/scanning/scanning.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/scanning.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -2,4 +2,8 @@
 <?dbhtml filename="scanning.html" dir="pst"?>
 <title>Scanning</title>
+
+<para>This chapter contains scanning applications which allow us to
+convert printed documents into formatted documents readable by other
+applications.</para>
 
 &sane;
Index: pst/scanning/xsane.xml
===================================================================
--- pst/scanning/xsane.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/xsane.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,5 +1,5 @@
-<sect1 id="xsane" xreflabel="xsane-&xsane-version;">
+<sect1 id="xsane" xreflabel="XSane-&xsane-version;">
 <?dbhtml filename="xsane.html" dir="pst"?>
-<title>xsane-&xsane-version;</title>
+<title>XSane-&xsane-version;</title>
 
 &xsane-intro;
Index: pst/scanning/xsane/xsane-desc.xml
===================================================================
--- pst/scanning/xsane/xsane-desc.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/xsane/xsane-desc.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para><application>xsane</application> comes with a graphical user interface, 
+<para><application>XSane</application> comes with a graphical user interface, 
 and (if <xref linkend="gimp"/> is available) a <application>gimp</application> 
 plugin with advanced features. Please refer to the documentation for further 
Index: pst/scanning/xsane/xsane-inst.xml
===================================================================
--- pst/scanning/xsane/xsane-inst.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/xsane/xsane-inst.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>xsane</application></title>
+<title>Installation of <application>XSane</application></title>
 
-<para>Install <application>xsane</application> by running the following 
+<para>Install <application>XSane</application> by running the following 
 commands:</para>
 
Index: pst/scanning/xsane/xsane-intro.xml
===================================================================
--- pst/scanning/xsane/xsane-intro.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/scanning/xsane/xsane-intro.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>xsane</application></title>
+<title>Introduction to <application>XSane</application></title>
 
-<para><application>xsane</application> is another frontend for 
+<para><application>XSane</application> is another frontend for 
 <xref linkend="sane"/>. It has additional features to improve the image 
 quality compared to xscanimage.</para>
@@ -19,5 +19,5 @@
 </sect3>
                                                                                 
-<sect3><title><application>xsane</application> dependencies</title>
+<sect3><title><application>XSane</application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="sane"/>, <xref linkend="xfree86"/>, <xref
Index: pst/typesetting/sgml.xml
===================================================================
--- pst/typesetting/sgml.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/typesetting/sgml.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -2,4 +2,9 @@
 <?dbhtml filename="sgml.html" dir="pst"?>
 <title>Standard Generalized Markup Language (<acronym>SGML</acronym>)</title>
+
+<para>This chapter contains DocBook <acronym>SGML</acronym> document
+type definitions (<acronym>DTD</acronym>s), DocBook
+<acronym>DSSSL</acronym> style sheets and DocBook tools to validate,
+transfrom, format and publish DocBook documents.</para>
 
 &sgml-common;
Index: pst/typesetting/xml.xml
===================================================================
--- pst/typesetting/xml.xml	(revision a723847c69b46a239bfc93bf6eb0d7df1058076f)
+++ pst/typesetting/xml.xml	(revision 781a3e825c2f33816a72647fb2a367b8c611adaf)
@@ -2,4 +2,8 @@
 <?dbhtml filename="xml.html" dir="pst"?>
 <title>Extensible Markup Language (<acronym>XML</acronym>)</title>
+
+<para>This chapter contains the DocBook <acronym>XML</acronym> document
+type definition (<acronym>DTD</acronym>) and DocBook sytle sheets
+which are used to validate, transform, format and publish DocBook documents.</para>
 
 &DocBook;